Subject: [os2genau_digest] No. 1807
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 12 Apr 2009 00:00:36 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 11 April 2009
 Number  1807
**************************************************

Subjects for today
 
1   Installing Uniaud : Peter Moylan <peter at pmoylan dot org>
2  Re:  Installing Uniaud : Paul Smedley <paul at smedley dot id dot au>
3   Adaptec SCSI Card to swap : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 11 Apr 2009 14:46:41 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Installing Uniaud

What's the recommended way to install Uniaud? (I had version 1.9.6, 
which - unlike earlier Uniaud versions - recognised my Intel ICH5 
on-board audio. That seemed like a step forward, but still I had no 
sound. Now I want to install 1.9.12, but I've forgotten the procedure. 
There used to be a README about this, but I can't find it any more.)

I've gotten as far as running MINSTALL.EXE to "Reset your Multimedia 
installation", because I recalled from the past that the way to upgrade 
an audio driver was to run the installer and specify that you wanted to 
install 0 units of the device (who dreams up this stuff?), but it 
appears that MINSTALL.EXE has been replaced in eCS by a new version 
that's just as hard to understand as the IBM version.

Searching for uniaud in CONFIG.SYS reveals only a line saying

  REM UNIAUD16.SYS IS EXCLUDED FOR NOW BECAUSE IT FAILS ON BOOT

which I remember putting there myself long ago. (As I recall it, I 
didn't need to exclude UNIAUD32.SYS, which didn't work but which at 
least didn't stop the OS from booting.) Presumably I put a REM in front 
of either a BASEDEV= or DEVICE= .......

Aha! I just remembered that OS/2 continued the fine old MS-DOS tradition 
of keeping hundreds of old copies of CONFIG.SYS. I've now copied the 
MMOS2 lines from an earlier version, then deleted the lines that caused 
a failure on bootup (SSMDD.SYS, R0STUB.SYS, MIDI.SYS, and VCSHDD.SYS), 
and now I'm back, I think, to where I was. Still no sound, but again my 
hardware is recognised by Uniaud on boot, so at least I'm getting no 
sound with version 1.9.12 rather than no sound with version 1.9.6, so I 
guess that that's progress.

That gets rid of my original question, I guess, but I'll mail this 
anyway because it underlines the point that there really needs to be 
some sort of on-line "how to" dealing with the difficult issue of OS/2 
sound. Many years ago the Warp Pharmacy handled this quite well. Its 
successor, the Warp Doctor, doesn't seem to have taken off very well.

(This stuff was so much easier back in the days when it was called 
"sound card drivers" rather than "multimedia". What does the "multi" in 
"multimedia" mean anyway? Video, audio, and []? Did anyone ever get 
around to implementing a third medium?)

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Sat, 11 Apr 2009 18:59:16 +0845
From:  Paul Smedley <paul at smedley dot id dot au>
Subject:  Re:  Installing Uniaud

Hi Peter,

Peter Moylan wrote:
> What's the recommended way to install Uniaud? (I had version 1.9.6, 
> which - unlike earlier Uniaud versions - recognised my Intel ICH5 
> on-board audio. That seemed like a step forward, but still I had no 
> sound. Now I want to install 1.9.12, but I've forgotten the procedure. 
> There used to be a README about this, but I can't find it any more.)

There isn't (currently) an installer for 1.9.12.  The easiest course of 
action is to download ftp://ftp dot netlabs dot org/pub/uniaud/uniaud114RC7.ZIP 
and install it using minstall - then to replace the copies of 
uniaud16.sys and uniaud32.sys in x:\mmos2 with the ones in the 1.9.12 zip

Someday I'll find the time to create an installer version of Uniaud 
1.9.x - or with any luck, someone will step forward to create it for me.

Cheers,

Paul.
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Sat, 11 Apr 2009 23:33:10 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   Adaptec SCSI Card to swap

Hi all.

I have a possible deal for you (but no steak knives this year - apparently
there is a global financial crisis somewhere<g>).

My machine has a HP3C SCSI scanner which works well connected to my
Symbios 8XX controller card.

However, the card causes me a regular bit of irritation on boot - if I
don't "fiddle" with the SCSI configuration utility for the card, the boot
is flaky, and often fails. It could be a timing issue, but I don't have the
patience to kill the bug.

A long time ago I acquired a bargain Adaptec 29160LP SCSI card, but have
been unable to find a way of connecting the scanner to the external
connector of the card.

Succeeded this past week, and tried to install the card today. Driver for
the card is not an issue - using the eCS supplied AIC78U2.ADD. 

But no go at the hardware level - it's a combo 64/32bit PCI long card,
requiring
a Bus Mastering slot on the mobo, and I don't have any 64-bit long slots.
So short slots with proper clearance only, and 32-bit operation. Oh, well..

However when I mounted the card, regardless of which slot I used, the boot
process would either fail POST or totally miss the card, so no Ctrl-A to
configure it. Along with that, I lost access to my NIC, so no network
either.

<Sigh> a good looking card, but not a go-er here.

Therefore, I am willing to offer a swap - one 29160LP card with all
accompaniments (CD, instruction leaflets etc) in its box, in exchange for a
2940U2W which I *know* is a 32-bit card that can fit on my mobo, and which
uses the same driver (as I am greedy for doubling the throughput from
40Mbit to 80Mbit if possible). 

Swap will be easiest in Melbourne via the OS/2 SIG meeting, but can be
arranged by post.

Altenatively, anyone who knows how to 
a) fix my Symbios problem
or
b) make the 29160LP work
is welcome to offer advice and assistance.
 
TIA and best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG